# Code of Conduct

This Code of Conduct provides a set of expectations
for participation in the UQTestFuns open-source project, 
as well as steps for reporting unacceptable behavior.

We, the contributors and maintainers of UQTestFuns, 
are committed to providing a welcoming place for all.
Anyone who violates this Code of Conduct may be banned from the UQTestFuns project
temporarily or permanently.

## Our pledge

We, as contributors and maintainers of UQTestFuns,
pledge to make participation in our project and community a harassment-free
experience for everyone, regardless of age, body size, visible or invisible disability,
ethnicity, sex characteristics, gender identity and expression, level of experience, education,
socio-economic status, nationality, personal appearance, race, case, color, religion, or
sexual identity and orientation.

We pledge to act and interact in ways that contribute to an open,
welcoming, diverse, inclusive, and healthy community.

## Our standards

Examples of behavior that contributes to a positive environment for our community include:

- Demonstrating empathy and kindness toward other people.
- Being respectful of differing opinions, viewpoints, and experiences.
- Giving and gracefully accepting constructive feedback.
- Accepting responsibility and apologizing to those affected by our mistakes,
  and learning from the experience.
- Focusing on what is best, not just for us as individuals, but for the overall community.

Examples of unacceptable behaviors include:

- The use of sexualized language or imagery, and sexual attention or advances of any kind.
- Trolling, insulting or derogatory comments, and personal or political attacks.
- Public or private harassment.
- Publishing others' private information, such as physical or email addresses,
  without their explicit permission (_doxing_).
- Other conducts which could reasonably be considered inappropriate in a professional setting.

## Enforcement responsibilities

Project maintainers are responsible for clarifying the standards of acceptable behavior
and are expected to take appropriate and fair corrective action in response
to any instances of unacceptable behavior.

Project maintainers have the right and responsibility to remove, edit, or reject comments,
commits, code, wiki edits, issues, and other contributions that are not aligned
with this Code of Conduct, or to ban temporarily or permanently any contributor
for other behaviors that they deem inappropriate, threatening, offensive, or harmful.

## Scope

This Code of Conduct applies to all content of the UQTestFuns project repository,
its online documentation, as well as at all UQTestFuns events, whether online or offline.

## Enforcement and reporting

We encourage members of the UQTestFuns community to resolve issues on their own whenever possible.
An instance of abusive, harassing, or otherwise unacceptable behavior may be reported
to the project maintainers for enforcement at **still pending**.

All complaints will be reviewed and investigated promptly and fairly.
All project maintainers are obligated to respect the privacy and security of the reporter
of any incident.

## Attribution

This Code of Conduct is adapted from the [Contributor Covenant](https://www.contributor-covenant.org/),
version 2.1, available [here](https://www.contributor-covenant.org/version/2/1/code_of_conduct.html).

Community Impact Guidelines were inspired by [Mozilla's code of conduct enforcement ladder](https://github.com/mozilla/diversity).

For answers to common questions about this code of conduct, see the [FAQ](https://www.contributor-covenant.org/faq).
[Translations](https://www.contributor-covenant.org/translations) are available.
